Package com.castlabs.sdk.subtitles

## Class SubtitlesViewComponentImpl

- java.lang.Object
- - com.castlabs.android.player.PlayerViewPlugin.SingleViewPlayerViewComponent<T>
  - - com.castlabs.android.views.SubtitlesViewComponent<com.castlabs.sdk.base.subtitles.SubtitlesView>
    - - com.castlabs.sdk.subtitles.SubtitlesViewComponentImpl

- All Implemented Interfaces:
    `PlayerViewPlugin.PlayerViewComponent`

      public class SubtitlesViewComponentImpl
      extends SubtitlesViewComponent<com.castlabs.sdk.base.subtitles.SubtitlesView>

  Implementation of `SubtitlesViewComponent` for the subtitles plugin.
  Since:
    4.0.2

- - ### Field Summary

    - ### Fields inherited from interface com.castlabs.android.player.PlayerViewPlugin.PlayerViewComponent

      `POSITION_DEBUG, POSITION_SUBTITLES, POSITION_THUMBNAILS`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getViewElevation()` |
    `Class` | `id()` |
    `void` | `setSubtitlesMargins​(int top, int bottom, int left, int right)` |

    - ### Methods inherited from class com.castlabs.android.player.PlayerViewPlugin.SingleViewPlayerViewComponent

      `attachToPlayerView, getView`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getViewElevation

          public int getViewElevation()

    - #### id

          @Nullable
          public Class id()

      Specified by:
        `id` in interface `PlayerViewPlugin.PlayerViewComponent`
      Overrides:
        `id` in class `PlayerViewPlugin.SingleViewPlayerViewComponent<com.castlabs.sdk.base.subtitles.SubtitlesView>`

    - #### setSubtitlesMargins

          public void setSubtitlesMargins​(int top,
                                          int bottom,
                                          int left,
                                          int right)